<project default="jar:jar"
  xmlns:j="jelly:core"
  xmlns:ant="jelly:ant">

  <goal name="runsample" description="run sample" prereqs="native:compile">
   	<mkdir dir="${maven.build.dir}/samples"/>
   	  <javac srcdir="${basedir}/src/sample/java"
         destdir="${maven.build.dir}/samples"
         fork="true"
     />
    <java classname="org.apache.maven.natives.sample.helloworld.HelloWorld" fork="yes">
	<sysproperty key="java.library.path" value="${maven.build.dir}/native"/> 
       <classpath>
         <pathelement path="${maven.build.dest}"/> 
      </classpath> 
    </java>
  </goal>
</project>
